Bug 451871 - eog hangs for several seconds on loading some images
eog hangs for several seconds on loading some images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
http://flickr.com/photos/75166820@N00...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 17:27 EDT by Mumrel
Modified: 2009-07-14 11:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:02:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mumrel 2008-06-17 17:27:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
I downloaded the image from (CreativeCommons)
http://flickr.com/photos/75166820@N00/11641490/sizes/l/
and stored it.
The thumbnail is not created (works for most of the others photots without problems) and if I double-click it from nautilu, eog hangs for several seconds (less than 30s, but more than 5).
After that delay, the image is properly displayed.
The problem seems to be user specific, since root has an problem with the thumbnail, nor with opening it without delay.

After hanging, eog prints the following:

$ eog 11641490_43003a0c02_b.jpg 

** (eog:10720): WARNING **: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.


Remark Reproducibility: For the given image, under my account: Every time, but not on every image and not under root

Version-Release number of selected component (if applicable):
eog-2.22.2-1.fc9.i386

How reproducible:
Always


Steps to Reproduce:
see above

Actual Results:
delay, opens the image

Expected Results:
opening wihtout delay

Additional info:
My .xsession-error is full of this messages:

(gecko:5621): atk-bridge-WARNING **: failure: no device event controller found.
(gnome-terminal:8866): atk-bridge-WARNING **: failure: no device event controller found.
Comment 1 Mumrel 2008-06-17 17:29:52 EDT
Correction:
since root does NOT have any problems with the thumbnails
Comment 2 Mumrel 2008-06-18 03:22:17 EDT
Another correction:
After restarting the system, the image appears as a thumbnail and eog opens it
without delay.
Comment 3 Bug Zapper 2009-06-09 21:40:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:02:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.